# Class CIM_RoutesBGP
extends CIM_Dependency

This association defines a BGP route, and makes explicit the dependency between a BGPIPRoute and a BGPProtocolEndpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RoutesBGP

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association defines a BGP route, and makes explicit the dependency between a BGPIPRoute and a BGPProtocolEndpoint.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RoutesBGP | CIM_BGPProtocolEndpoint
Dependent | CIM_RoutesBGP | CIM_BGPIPRoute

## Class Methods